Skip to main content
`Ctrl`+`K`

# PetscDTGaussQuadrature

create Gauss-Legendre quadrature

## Synopsis

    #include "petscdt.h"
    PetscErrorCode PetscDTGaussQuadrature(PetscInt npoints, PetscReal a, PetscReal b, PetscReal x[], PetscReal w[])

Not Collective

## Input Parameters

- npoints - number of points

- a - left end of interval (often-1)

- b - right end of interval (often +1)

## Output Parameters

- x - quadrature points

- w - quadrature weights

## Note

See [GW69]

## References

[GW69]

Gene H Golub and John H Welsch. Calculation of Gauss quadrature rules. Mathematics of computation, 23(106):221–230, 1969.

## See Also

`PetscDTLegendreEval()`, `PetscDTGaussJacobiQuadrature()`

## Level

intermediate

## Location

src/dm/dt/interface/dt.c

## Examples

src/ksp/ksp/tutorials/ex74.c
src/snes/tutorials/ex31.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages